Bug 500938 - Too many KDCs prevent use of "dns_lookup_kdc = true" in /etc/krb5.conf
Too many KDCs prevent use of "dns_lookup_kdc = true" in /etc/krb5.conf
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: krb5 (Show other bugs)
4.7
All Linux
low Severity medium
: rc
: ---
Assigned To: Nalin Dahyabhai
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 20:39 EDT by Stephen P. Schaefer
Modified: 2012-06-20 09:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:28:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to allocate sufficient space for a large SRV answer. (2.40 KB, patch)
2009-05-14 20:41 EDT, Stephen P. Schaefer
no flags Details | Diff

  None (edit)
Description Stephen P. Schaefer 2009-05-14 20:39:47 EDT
Description of problem:
A large number of KDCs cause "dns_lookup_kdc = true" (the default) to fail.

Version-Release number of selected component (if applicable):
1.3.4-60.el4_7.2

How reproducible:
Always.

Steps to Reproduce:
1. Create a large number of SRV records indicating KDCs for the kerberos domain.
2. The host names should be difficult to compress.
3. In /etc/krb5.conf, in the [libdefaults] section, put the line "dns_lookup_kdc = true"
4. Do not specify any KDC hosts in the [realms] section.
5. Attempt to do a "kinit"
  
Actual results:
kinit(v5): Cannot resolve network address for KDC in requested realm while getting initial credentials


Expected results:
Password for user@INTERNAL.EXAMPLE.COM: 


Additional info:
The attached patch corrects the problem.
Comment 1 Stephen P. Schaefer 2009-05-14 20:41:17 EDT
Created attachment 344065 [details]
Patch to allocate sufficient space for a large SRV answer.

Don't know why it didn't attach the first time.
Comment 2 Stephen P. Schaefer 2009-05-18 13:33:10 EDT
Note that this problem can present quite dramatically and mysteriously: your systems are configured for DNS lookup of kdc's and they're all working.  One day, you add the KDC that puts you over the limit, and suddenly all your kerberos authentication starts failing as that last SRV record propagates.
Comment 3 Jiri Pallich 2012-06-20 09:28:27 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.